Subject: Re: [PATCH v2] sh_eth: use RNC mode for R8A7790/R87791

From: Ben Dooks <[email-masked]>
Date: Mon, 02 Jun 2014 20:06:52 +0100

On 02/06/14 19:53, David Miller wrote:
> From: Ben Dooks <[email-masked]>
> Date: Mon,  2 Jun 2014 18:17:36 +0100
> 
>> The current behaviour of the sh_eth driver is not to use the RNC bit
>> for the receive ring. This means that every packet recieved is not only
>> generating an IRQ but it also stops the receive ring DMA as well until
>> the driver re-enables it after unloading the packet.
>>
>> This means that a number of the following errors are generated due to
>> the receive packet FIFO overflowing due to nowhere to put packets:
>>
>> 	net eth0: Receive FIFO Overflow
>>
>> I have tested the RMCR_RNC configuration with NFS root filesystem and
>> the driver has not failed yet.  There are further test reports from
>> Sergei Shtylov and others for both the R8A7790 and R8A7791.
>>
>> There is also feedback fron Cao Minh Hiep[1] which reports the
>> same issue in (http://comments.gmane.org/gmane.linux.network/316285)
>> showing this fixes issues with losing UDP datagrams under iperf.
>>
>> Tested-by: Sergei Shtylyov <[email-masked]>
>> Signed-off-by: Ben Dooks <[email-masked]>
> 
> Given the description, I can't fathom a reason why this wouldn't be
> set always, for every chip.
> 
> Do some chips not implement this bit at all?

I do not have access to enough of the sh-eth capable data-sheets
to know why this is.

-- 
Ben Dooks				http://www.codethink.co.uk/
Senior Engineer				Codethink - Providing Genius